# XMLFormatTarget Class Reference

Inheritance diagram for XMLFormatTarget:

List of all members.

## Public Member Functions

virtual | ~XMLFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)=0
virtual void | flush ()

## Protected Member Functions

| XMLFormatTarget ()

## Constructor & Destructor Documentation

virtual XMLFormatTarget::~XMLFormatTarget | ( |  | ) | `[virtual]`

XMLFormatTarget::XMLFormatTarget | ( |  | ) | `[protected]`

## Member Function Documentation

virtual void XMLFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[pure virtual]`

Implemented in LocalFileFormatTarget, MemBufFormatTarget, and StdOutFormatTarget.

virtual void XMLFormatTarget::flush | ( |  | ) | `[virtual]`

Reimplemented in LocalFileFormatTarget, and StdOutFormatTarget.

The documentation for this class was generated from the following file:

- XMLFormatter.hpp